import type { OptionsPropType, SingleSelectProps, SingleSelectWatches, StencilUnknown } from '../../schema';
import { InputIconController } from '../@deprecated/input/controller-icon';
import type { Generic } from 'adopted-style-sheets';
export declare class SingleSelectController extends InputIconController implements SingleSelectWatches {
    protected readonly component: Generic.Element.Component & SingleSelectProps;
    private readonly keyOptionMap;
    constructor(component: Generic.Element.Component & SingleSelectProps, name: string, host?: HTMLElement);
    protected readonly afterPatchOptions: (value: unknown, _state: Record<string, unknown>, _component: Generic.Element.Component, key: string) => void;
    protected readonly beforePatchOptions: (_value: unknown, nextState: Map<string, unknown>) => void;
    validateOptions(value?: OptionsPropType): void;
    validateRequired(value?: boolean): void;
    validateValue(value?: StencilUnknown): void;
    validatePlaceholder(value?: string): void;
    validateHideClearButton(value?: boolean): void;
    componentWillLoad(): void;
}
